import request from '@/utils/request'

// 查询管理活动抽查列表
export function listManageactivity(query) {
  return request({
    url: '/plant/manageactivity/list',
    method: 'get',
    params: query
  })
}

// 查询管理活动抽查详细
export function getManageactivity(id) {
  return request({
    url: '/plant/manageactivity/' + id,
    method: 'get'
  })
}

// 新增管理活动抽查
export function addManageactivity(data) {
  return request({
    url: '/plant/manageactivity',
    method: 'post',
    data: data
  })
}

// 修改管理活动抽查
export function updateManageactivity(data) {
  return request({
    url: '/plant/manageactivity',
    method: 'put',
    data: data
  })
}

// 删除管理活动抽查
export function delManageactivity(id) {
  return request({
    url: '/plant/manageactivity/' + id,
    method: 'delete'
  })
}

// 导出管理活动抽查
export function exportManageactivity(query) {
  return request({
    url: '/plant/manageactivity/export',
    method: 'get',
    params: query
  })
}
